
using System;
using System.Collections.Generic;
using System.IO;
using CommandLine;

class Class1
{
    public void Main1(string[] args)
    {
        //var args = new[] { "" };

        var helpWriter = new StringWriter();
        var parser = new CommandLine.Parser(with =>
        {
            with.HelpWriter = Console.Out;
            // with.IgnoreUnknownArguments = true;
        });
        parser.ParseArguments<Options>(args)
            .WithParsed(Run)
            .WithNotParsed(HandleError);
    }
    void Run(Options opts)
    {
        //opts.Dump();
        Console.WriteLine($"success {opts.SwaggerUrl}");
    }
    void HandleError(IEnumerable<Error> errs)
    {
        Console.WriteLine($"Fail");
    }
}
internal class Options
{
    [Option('u', "url", Group = "input", Default = "http://localhost:5002/swagger/current/swagger.json")]
    public string SwaggerUrl { get; set; }

    //  [Option('j', "json", Group = "input")]
    [Option('j', "json", Group = "input",SetName = "xyz")]
    public string SwaggerJson { get; set; }

    [Option('f', "file", Group = "input", SetName = "xyz")]
    public string SwaggerFilePath { get; set; }
}